<?xml version="1.0" encoding="Windows-1252"?>
<VisualStudioProject
	ProjectType="Visual C++"
	Version="8.00"
	Name="Yara"
	ProjectGUID="{32F017BD-2D13-45CA-B279-F6F78EE05513}"
	RootNamespace="Yara"
	Keyword="Win32Proj"
	>
	<Platforms>
		<Platform
			Name="Win32"
		/>
	</Platforms>
	<ToolFiles>
	</ToolFiles>
	<Configurations>
		<Configuration
			Name="Debug|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				Optimization="0"
				PreprocessorDefinitions="WIN32;_DEBUG;_WINDOWS;_USRDLL;Yara_EXPORTS"
				MinimalRebuild="true"
				BasicRuntimeChecks="3"
				RuntimeLibrary="3"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="4"
				DisableSpecificWarnings="4251;4996;4267"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="libexpat.lib"
				LinkIncremental="2"
				GenerateDebugInformation="true"
				SubSystem="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
		<Configuration
			Name="Release|Win32"
			OutputDirectory="$(SolutionDir)$(ConfigurationName)"
			IntermediateDirectory="$(ConfigurationName)"
			ConfigurationType="2"
			CharacterSet="1"
			WholeProgramOptimization="1"
			>
			<Tool
				Name="VCPreBuildEventTool"
			/>
			<Tool
				Name="VCCustomBuildTool"
			/>
			<Tool
				Name="VCXMLDataGeneratorTool"
			/>
			<Tool
				Name="VCWebServiceProxyGeneratorTool"
			/>
			<Tool
				Name="VCMIDLTool"
			/>
			<Tool
				Name="VCCLCompilerTool"
				PreprocessorDefinitions="WIN32;NDEBUG;_WINDOWS;_USRDLL;Yara_EXPORTS"
				RuntimeLibrary="2"
				UsePrecompiledHeader="0"
				WarningLevel="3"
				Detect64BitPortabilityProblems="true"
				DebugInformationFormat="3"
				DisableSpecificWarnings="4251;4996;4267"
			/>
			<Tool
				Name="VCManagedResourceCompilerTool"
			/>
			<Tool
				Name="VCResourceCompilerTool"
			/>
			<Tool
				Name="VCPreLinkEventTool"
			/>
			<Tool
				Name="VCLinkerTool"
				AdditionalDependencies="libexpat.lib"
				LinkIncremental="1"
				GenerateDebugInformation="true"
				SubSystem="2"
				OptimizeReferences="2"
				EnableCOMDATFolding="2"
				TargetMachine="1"
			/>
			<Tool
				Name="VCALinkTool"
			/>
			<Tool
				Name="VCManifestTool"
			/>
			<Tool
				Name="VCXDCMakeTool"
			/>
			<Tool
				Name="VCBscMakeTool"
			/>
			<Tool
				Name="VCFxCopTool"
			/>
			<Tool
				Name="VCAppVerifierTool"
			/>
			<Tool
				Name="VCWebDeploymentTool"
			/>
			<Tool
				Name="VCPostBuildEventTool"
			/>
		</Configuration>
	</Configurations>
	<References>
	</References>
	<Files>
		<Filter
			Name="Details"
			>
			<File
				RelativePath="..\..\..\lib\Yara\Details\ChannelInfo.h"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Details\DateParser.cpp"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Details\DateParser.h"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Details\documentation.h"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Details\ElementType.h"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Details\ImageInfo.h"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Details\ItemInfo.h"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Details\Language.cpp"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Details\Language.cpp.gperf"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="Generating Language.cpp"
						CommandLine="gperf --output-file=$(InputDir)Language.cpp -LC++ -I $(InputPath)&#x0D;&#x0A;"
						Outputs="Language.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="Generating Language.cpp"
						CommandLine="gperf --output-file=$(InputDir)Language.cpp -LC++ -I $(InputPath)&#x0D;&#x0A;"
						Outputs="Language.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Details\Language.h"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Details\prologue.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Exceptions"
			>
			<File
				RelativePath="..\..\..\lib\Yara\Exceptions\GeneratorExceptions.h"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Exceptions\ParserExceptions.h"
				>
			</File>
		</Filter>
		<Filter
			Name="Private"
			>
			<File
				RelativePath="..\..\..\lib\Yara\Private\Attributes.h"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\Callbacks.h"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\ChannelInfoInserters.cpp"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\DataHandlingCallbacks.cpp"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\ElementParsingCallbacks.cpp"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\ElementTypeInfo.cpp"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\ElementTypeInfo.cpp.gperf"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="Generating ElementTypeInfo.cpp"
						CommandLine="gperf --output-file=$(InputDir)ElementTypeInfo.cpp -LC++ -I $(InputPath)&#x0D;&#x0A;"
						Outputs="ElementTypeInfo.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="Generating ElementTypeInfo.cpp"
						CommandLine="gperf --output-file=$(InputDir)ElementTypeInfo.cpp -LC++ -I $(InputPath)&#x0D;&#x0A;"
						Outputs="ElementTypeInfo.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\ElementTypeInfo.h"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\EndOfElementCallbacks.cpp"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\ItemInfoInserters.cpp"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\ParserData.h"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\RenderingChannelInserter.cpp"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\RenderingChannelInserter.cpp.gperf"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="Creating RenderingChannelInserter.cpp"
						CommandLine="gperf --output-file=$(InputDir)RenderingChannelInserter.cpp -LC++ -I $(InputPath)&#x0D;&#x0A;"
						Outputs="RenderingChannelInserter.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="Creating RenderingChannelInserter.cpp"
						CommandLine="gperf --output-file=$(InputDir)RenderingChannelInserter.cpp -LC++ -I $(InputPath)&#x0D;&#x0A;"
						Outputs="RenderingChannelInserter.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\RenderingChannelInserter.h"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\RenderingItemInserter.cpp"
				>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\RenderingItemInserter.cpp.gperf"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="Generating RenderingItemInserter.cpp"
						CommandLine="gperf --output-file=$(InputDir)RenderingItemInserter.cpp -LC++ -I $(InputPath)&#x0D;&#x0A;"
						Outputs="RenderingItemInserter.cpp"
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description="Generating RenderingItemInserter.cpp"
						CommandLine="gperf --output-file=$(InputDir)RenderingItemInserter.cpp -LC++ -I $(InputPath)&#x0D;&#x0A;"
						Outputs="RenderingItemInserter.cpp"
					/>
				</FileConfiguration>
			</File>
			<File
				RelativePath="..\..\..\lib\Yara\Private\RenderingItemInserter.h"
				>
				<FileConfiguration
					Name="Debug|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description=""
						CommandLine=""
						Outputs=""
					/>
				</FileConfiguration>
				<FileConfiguration
					Name="Release|Win32"
					>
					<Tool
						Name="VCCustomBuildTool"
						Description=""
						CommandLine=""
						Outputs=""
					/>
				</FileConfiguration>
			</File>
		</Filter>
		<File
			RelativePath="..\..\..\lib\Yara\Generator.cpp"
			>
		</File>
		<File
			RelativePath="..\..\..\lib\Yara\Generator.h"
			>
		</File>
		<File
			RelativePath="..\..\..\lib\Yara\Parser.cpp"
			>
		</File>
		<File
			RelativePath="..\..\..\lib\Yara\Parser.h"
			>
		</File>
		<File
			RelativePath="..\..\..\lib\Yara\Renderer.cpp"
			>
		</File>
		<File
			RelativePath="..\..\..\lib\Yara\Renderer.h"
			>
		</File>
		<File
			RelativePath="..\..\..\lib\Yara\Template.cpp"
			>
		</File>
		<File
			RelativePath="..\..\..\lib\Yara\Template.h"
			>
		</File>
		<File
			RelativePath="..\..\..\lib\Yara\Yara.cpp"
			>
		</File>
		<File
			RelativePath="..\..\..\lib\Yara\Yara.h"
			>
		</File>
	</Files>
	<Globals>
	</Globals>
</VisualStudioProject>
